# Huawei BGP Peers

Monitors status of Huawei BGP peers (HUAWEI-BGP-VPN-MIB)

Check Info:

* *service*: this check creates one service for each peer/address family  (IPv4 and IPv6)
* *state*: \
    **critical**: if Peer state is idle or if *hwBgpPeerUnAvaiReason* not 0\
    **warning**: if Peer state is not idle and not established, if Peer uptime < min. uptime
* *wato*: 
    * **min uptime**: minimum time before a bgp peer connection is consinderd as stable, default 86400 seconds (1 day)
    * **Infotext values**: select which information is shown in the check output
    * **BGP Peer item name**: The configured value must match a BGP peer reported by the monitored device. For example: "10.194.115.98 IPv4 Unicast"
    * **BGP Peer Alias**: You can configure an individual alias here for the BGP peer matching the text configured in the "BGP Peer item name" field. This alias will be shown in the infotext
    * **MonitoringState**: You can configure an individual state if the BGP peer matching the text configured in the "BGP Peer item name" field is not found (default is critical).
* *perfdata*: 
    * FMS transitions (count)
    * FMS last change (s)
    * Prefixes advertised (count)
    * Prefixes received (count)
    * Prefixes active (count)

Sample output

![sample output](/doc/sample.png?raw=true "sample [SHORT TITLE]")


